<template>
  <div>
    <el-dialog
      :title="visuals.Scenario[0]+'场景应对流程'"
      :visible.sync="visible"
      width="1200px"
      :before-close="handleClose"
      :append-to-body="true" 
      :close-on-click-modal="false">
      <visual :visuals='visuals'></visual>
    </el-dialog>
  </div>
</template>

<script>
import visual from '@/views/event/components/details/visual.vue'
export default {
  name:'showDialog',
  components: {
    visual
  },
  props: {
   
  },
  data() {
    return {
      visible:false,
        visuals:{
          Scenario:[]
        }
    };
  },
  watch: {},
  computed: {},
  created() {},
  mounted() {},
  methods: {
    //打开弹窗
    open(val){
        this.visuals = val
        this.dialogVisible = true
    },
    //关闭弹窗
    handleClose(){
        this.dialogVisible = false
    }
  },
};
</script>
<style lang="scss" scoped>
</style>